diff -r 7f94cc6b4d8e src/crm114.c
--- a/src/crm114.c	Fri May 11 04:05:59 2012 +0300
+++ b/src/crm114.c	Mon Oct 01 02:15:40 2012 +0300
@@ -56,11 +56,17 @@
      * really only needs the signature.
      */
     if (pipe(pipes))
+    {
+	i_debug("Failed to create pipes");
 	return -1;
+    }
 
     pid = fork();
     if (pid < 0)
+    {
+	i_debug("Couldn't fork");
 	return -1;
+    }
 
     if (pid)
     {
@@ -117,6 +123,7 @@
 
 	argv[i++] = spam ? cfg->spam : cfg->non_spam;
 
+	i_debug("Executing '%s %s'", cfg->binary, t_strarray_join(argv, " "));
 	execv(cfg->binary, (char *const *) argv);
 	/* fall through if reaver can't be found */
 	i_debug("executing %s failed: %d (uid=%d, gid=%d)", cfg->binary, errno,
